Opened 3 years ago

Closed 2 years ago

#2398 closed defect (invalid)

OSCAM 1.20-unstable_svn build #6357 HD+ ( black card ) Timeouts

Reported by: MerijnNL Owned by:
Priority: minor Component: General
Severity: low Keywords:
Cc: Sensitive: no

Description

Revision

OSCAM 1.20-unstable_svn build #6357

Issue Description

after few hours oscam giving timeouts ( 4000 ms )

When the issue occurs

depends, i can run for few hours ok till 1 day

Debug level 1 :

2012/02/14 08:32:41 0 share-updater mode=interval t=240s
2012/02/14 08:32:41 98CE1E8 r ERROR, function call SR_Receive(reader, data, size) returns error.
2012/02/14 08:32:41 98CE1E8 r ERROR, function call Protocol_T1_ReceiveBlock (reader, &block) returns error.
2012/02/14 08:32:42 98CE1E8 r ERROR, function call SR_Receive(reader, data, size) returns error.
2012/02/14 08:32:42 98CE1E8 r ERROR, function call Protocol_T0_Command returns error.
2012/02/14 08:32:42 98CE1E8 r Error processing ecm for caid 1843, srvid EF10 (servicename: RTL HD) on reader hdplus.
2012/02/14 08:32:42 98CE1E8 r reader: hdplus ecm: 63EC real time: 8019 ms
2012/02/14 08:32:42 98CE1E8 r add client job action 24

Change History (10)

comment:1 Changed 3 years ago by MerijnNL

Oscam config

[global]
serverip = 192.168.x.xx
logfile = /var/log/oscam.log
clienttimeout = 4000
nice = -1
waitforcards_extra_delay = 0
saveinithistory = 1

[monitor]
port = 988
aulow = 120
hideclient_to = 15
monlevel = 1
appendchaninfo = 0

[newcamd]
port = 6000@1843:003411
key = 000102030405060708090A0B0C0D

[cccam]
port = 40000
reshare = 2
version = 1.2.3

[webif]
httpport = 9999
httpuser = xxxxxxxx
httppwd = xxxxxxxx
httprefresh = 10
httpallowed = 127.0.0.1,10.0.0.0-254.0.0.0

comment:2 Changed 3 years ago by MerijnNL

oscam server

[reader]
label = hdplus
description = HDplus
protocol = smartreader
device = Serial:Smart 13
device_out_endpoint = 0x82
services = hdplus
resetcycle = 2000
smargopatch = 1
showcls = 0
caid = 1843
rsakey = XXXXXX
boxkey = XXXXXX
detect = cd
mhz = 368
cardmhz = 368
ident = 1843:003411
group = 5
emmcache = 1,3,2

comment:3 Changed 3 years ago by MerijnNL

oscam user

[account]
user = xxxxxx
pwd = xxxxxx
group = 5
services = hdplus
caid = 1843
cccignorereshare = 0

comment:4 Changed 3 years ago by MerijnNL

Debug level 1 after problem

2012/02/14 08:47:01 98CE1E8 r ERROR, function call SR_Receive(reader, data, size) returns error.
2012/02/14 08:47:02 98F2608 c data on socket
2012/02/14 08:47:02 98F2608 c request_cw stage=3 to reader hdplus ecm=3773
2012/02/14 08:47:02 98F2608 c add reader job action 5
2012/02/14 08:47:02 0 timeout for HDplus 1843&003411/EF10 ecm=4234
2012/02/14 08:47:02 0 add client job action 24
2012/02/14 08:47:02 98F2608 c poll wakeup
2012/02/14 08:47:02 98F2608 c HDplus (1843&003411/EF10/89:4234): timeout (4001 ms)
2012/02/14 08:47:02 98CE1E8 r ERROR, function call SR_Receive(reader, data, size) returns error.
2012/02/14 08:47:03 98CE1E8 r ERROR, function call SR_Receive(reader, data, size) returns error.
2012/02/14 08:47:03 98CE1E8 r ERROR, function call Protocol_T0_Command returns error.
2012/02/14 08:47:03 98CE1E8 r skip ecm F9BE reader=hdplus, rc=5
2012/02/14 08:47:03 98CE1E8 r skip ecm 188F reader=hdplus, rc=5
2012/02/14 08:47:03 98CE1E8 r skip ecm 188F reader=hdplus, rc=5
2012/02/14 08:47:03 98CE1E8 r skip ecm 9D24 reader=hdplus, rc=5
2012/02/14 08:47:03 98CE1E8 r skip ecm 9D24 reader=hdplus, rc=5
2012/02/14 08:47:03 98CE1E8 r skip ecm 3442 reader=hdplus, rc=5
2012/02/14 08:47:03 98CE1E8 r skip ecm 3442 reader=hdplus, rc=5
2012/02/14 08:47:04 0 >> OSCam << cardserver log switched, version 1.20-unstable_svn, build #6357 (i686-pc-linux)
2012/02/14 08:47:04 0 version=1.20-unstable_svn, build #6357, system=i686-pc-linux, nice=-1
2012/02/14 08:47:04 0 client max. idle=120 sec, debug level=1
2012/02/14 08:47:04 0 max. logsize=10 Kb, loghistorysize=4096 bytes
2012/02/14 08:47:04 0 client timeout=4000 ms, fallback timeout=2500 ms, cache delay=0 ms
2012/02/14 08:47:04 98CE1E8 r ERROR, function call SR_Receive(reader, data, size) returns error.
2012/02/14 08:47:04 98CE1E8 r ERROR, function call Protocol_T1_ReceiveBlock (reader, &block) returns error.
2012/02/14 08:47:05 0 fallback for HDplus 1843&003411/EF74 ecm=3773
2012/02/14 08:47:05 0 request_cw stage=4 to reader hdplus ecm=3773
2012/02/14 08:47:05 0 add reader job action 5
2012/02/14 08:47:05 98CE1E8 r ERROR, function call SR_Receive(reader, data, size) returns error.
2012/02/14 08:47:06 0 timeout for HDplus 1843&003411/EF74 ecm=3773
2012/02/14 08:47:06 0 add client job action 24
2012/02/14 08:47:06 98F2608 c poll wakeup
2012/02/14 08:47:06 98F2608 c HDplus (1843&003411/EF74/89:3773): timeout (4000 ms)
2012/02/14 08:47:06 98F2608 c data on socket
2012/02/14 08:47:06 98F2608 c request_cw stage=3 to reader hdplus ecm=82BC
2012/02/14 08:47:06 98F2608 c add reader job action 5
2012/02/14 08:47:06 98CE1E8 r ERROR, function call SR_Receive(reader, data, size) returns error.
2012/02/14 08:47:06 98CE1E8 r ERROR, function call Protocol_T1_ReceiveBlock (reader, &block) returns error.

comment:5 Changed 3 years ago by MerijnNL

standard output after problem

oscam output after problem

2012/02/14 09:02:55 98F2608 c HDplus (1843&003411/EF10/89:5D26): timeout (4000 ms)
2012/02/14 09:02:59 98F2608 c HDplus (1843&003411/EF74/89:4C50): timeout (4000 ms)
2012/02/14 09:02:59 98CE1E8 r Error processing ecm for caid 1843, srvid EF10 (servicename: RTL HD) on reader hdplus.
2012/02/14 09:03:09 98F2608 c HDplus (1843&003411/EF10/89:8C12): timeout (4000 ms)
2012/02/14 09:03:13 98F2608 c HDplus (1843&003411/EF74/89:C18D): timeout (4000 ms)
2012/02/14 09:03:13 98CE1E8 r Error processing ecm for caid 1843, srvid EF10 (servicename: RTL HD) on reader hdplus.
2012/02/14 09:03:23 98F2608 c MarcelHDplus (1843&003411/EF10/89:A20D): timeout (4000 ms)
2012/02/14 09:03:27 98F2608 c MarcelHDplus (1843&003411/EF74/89:AF64): timeout (4000 ms)
2012/02/14 09:03:27 98CE1E8 r Error processing ecm for caid 1843, srvid EF10 (servicename: RTL HD) on reader hdplus.
2012/02/14 09:03:37 98F2608 c HDplus (1843&003411/EF10/89:36D8): timeout (4000 ms)
2012/02/14 09:03:41 98CE1E8 r Error processing ecm for caid 1843, srvid EF10 (servicename: RTL HD) on reader hdplus.
2012/02/14 09:03:42 98F2608 c HDplus (1843&003411/EF74/89:EF45): timeout (4000 ms)
2012/02/14 09:03:46 98F2608 c HDplus (1843&003411/EF74/89:EFDF): timeout (4000 ms)
2012/02/14 09:03:51 98F2608 c HDplus (1843&003411/EF10/89:30CA): timeout (4000 ms)
2012/02/14 09:03:53 98CE1E8 r Error processing ecm for caid 1843, srvid EF74 (servicename: SAT.1 HD) on reader hdplus.
2012/02/14 09:03:54 98F2608 c HDplus (1843&003411/EF74/89:B8C2): timeout (4001 ms)

comment:6 Changed 3 years ago by MerijnNL

normal running

2012/02/14 09:08:09 98CE1E8 r Found smartreader device Serial:Smart 13
2012/02/14 09:08:09 98CE1E8 r reader hdplus initialized (device=Serial:Smart 13, detect=cd, mhz=368, cardmhz=368)
2012/02/14 09:08:10 98CE1E8 r hdplus card detected
2012/02/14 09:08:13 98CE1E8 r ATR: 3F FF 95 00 FF 91 81 71 A0 47 00 44 4E 41 53 50 31 38 30 20 4D 65 72 30 30 30 28
2012/02/14 09:08:14 98CE1E8 r Maximum frequency for this card is formally 5 Mhz, clocking it to 3.69 Mhz
2012/02/14 09:08:15 98CE1E8 r detect native nagra card
2012/02/14 09:08:15 98CE1E8 r [nagra-reader] type: NAGRA, caid: 1843, IRD ID: FF FF FF FF
2012/02/14 09:08:15 98CE1E8 r [nagra-reader] ProviderID: 00 00 34 11
2012/02/14 09:08:15 98CE1E8 r [nagra-reader] active to: 2012/03/23 11:59
2012/02/14 09:08:16 98CE1E8 r -----------------------------------------
2012/02/14 09:08:16 98CE1E8 r |id |tier |valid from |valid to |
2012/02/14 09:08:16 98CE1E8 r +----+--------+------------+------------+
2012/02/14 09:08:17 98CE1E8 r |8011|0066 |2012/01/26 |2013/01/26 |
2012/02/14 09:08:17 98CE1E8 r |8011|0067 |2010/01/19 |2010/01/20 |
2012/02/14 09:08:17 98CE1E8 r -----------------------------------------
2012/02/14 09:08:18 98CE1E8 r found cardsystem nagra
2012/02/14 09:08:18 98CE1E8 r ROM: D N A S P 1 8 0
2012/02/14 09:08:18 98CE1E8 r REV: M e r 0 0 0
2012/02/14 09:08:18 98CE1E8 r SER: xx xx xx xx
2012/02/14 09:08:18 98CE1E8 r CAID: 1843
2012/02/14 09:08:18 98CE1E8 r Prv.ID: 00 00 34 11 (sysid)
2012/02/14 09:08:18 98CE1E8 r Prv.ID: 00 00 00 00
2012/02/14 09:08:18 98CE1E8 r Prv.ID: 00 00 80 11
2012/02/14 09:08:18 98CE1E8 r [nagra-reader] ready for requests
2012/02/14 09:08:18 0 s init for all local cards done
2012/02/14 09:08:18 0 s anti cascading disabled
2012/02/14 09:08:18 98F24F8 c client connected to 6000 port
2012/02/14 09:08:18 98F24F8 c encrypted newcamd:6000-client xx.xxx.xx.xxx granted (HDplus, au=off)
2012/02/14 09:08:18 98F24F8 c user HDplus authenticated successfully (generic)
2012/02/14 09:08:18 98F24F8 c AU disabled for user HDplus
2012/02/14 09:08:18 0 >> OSCam << cardserver log switched, version 1.20-unstable_svn, build #6357 (i686-pc-linux)
2012/02/14 09:08:18 0 version=1.20-unstable_svn, build #6357, system=i686-pc-linux, nice=-1
2012/02/14 09:08:18 0 client max. idle=120 sec, debug level=0
2012/02/14 09:08:18 0 max. logsize=10 Kb, loghistorysize=4096 bytes
2012/02/14 09:08:18 0 client timeout=4000 ms, fallback timeout=2500 ms, cache delay=0 ms
2012/02/14 09:08:21 98F24F8 c HDplus (1843&003411/EF10/89:5365): found (477 ms) by hdplus
2012/02/14 09:08:22 98F24F8 c HDplus (1843&003411/EF74/89:3BF1): found (628 ms) by hdplus
2012/02/14 09:08:28 98F24F8 c HDplus (1843&003411/EF10/89:8129): found (477 ms) by hdplus
2012/02/14 09:08:29 98F24F8 c HDplus (1843&003411/EF74/89:5C30): found (474 ms) by hdplus
2012/02/14 09:08:35 98F24F8 c HDplus (1843&003411/EF10/89:AB14): found (476 ms) by hdplus
2012/02/14 09:08:36 98F24F8 c HDplus (1843&003411/EF74/89:4F3B): found (474 ms) by hdplus
2012/02/14 09:08:42 98F24F8 c HDplus (1843&003411/EF10/89:0AED): found (474 ms) by hdplus
2012/02/14 09:08:43 98F24F8 c HDplus (1843&003411/EF74/89:C3C6): found (474 ms) by hdplus
2012/02/14 09:08:49 98F24F8 c HDplus (1843&003411/EF10/89:5A5F): found (474 ms) by hdplus
2012/02/14 09:08:50 98F24F8 c HDplus (1843&003411/EF74/89:7751): found (476 ms) by hdplus

Last edited 3 years ago by MerijnNL (previous) (diff)

comment:7 Changed 3 years ago by MerijnNL

Aditional info :

oscam ( SVN version ) compiled with lib usb 1.0.8
smargo reader patch 1.7 ( also tried with patch 1.5 )
Kernel : Linux 2.6.32-5-686 op i686 ( Debian 6.0 )
Machine : Intel(R) Pentium(R) 4 CPU 2.00GHz, 1 cores

Other cards working without any problems, only HD+ ( black card )

Last edited 3 years ago by MerijnNL (previous) (diff)

comment:8 Changed 3 years ago by MerijnNL

  • Summary changed from OSCAM 1.20-unstable_svn build #6357 HD+ ( black card ) Smartreader Problem to OSCAM 1.20-unstable_svn build #6357 HD+ ( black card ) Problem

comment:9 Changed 3 years ago by MerijnNL

  • Summary changed from OSCAM 1.20-unstable_svn build #6357 HD+ ( black card ) Problem to OSCAM 1.20-unstable_svn build #6357 HD+ ( black card ) Timeouts

comment:10 Changed 2 years ago by Deas

  • Resolution set to invalid
  • Status changed from new to closed

it could be the kernel version, driver, etc. in combination of the smartreader. try using the reader in mouse mode. i don´t think this is a problem of oscam...

Note: See TracTickets for help on using tickets.